<template>
  <div class="AppMediaManage">
    <keep-alive :include="['List']">
      <component ref="component" :is="component" @change="onChange" :params="params" :instance="instance" :dict="dict"></component>
    </keep-alive>
  </div>
</template>

<script>
import List from './components/List'
import Add from './components/Add'
import Play from './components/Play'

export default {
  label: '媒资管理',
  name: 'AppMediaManage',
  props: {
    instance: Function,
    dict: Object,
  },

  data() {
    return {
      component: 'List',
      params: {},
      include: [],
    }
  },

  components: {
    Add,
    List,
    Play
  },
  methods: {
    onChange(data) {
      if (data.type === 'add') {
        this.component = 'Add'
        this.params = data.params
      }
      if (data.type === 'Play') {
        this.component = 'Play'
        this.params = data.params
      }

      if (data.type == 'list') {
        this.component = 'List'
        this.params = data.params

        this.$nextTick(() => {
          if (data.isRefresh) {
            this.$refs.component.getList()
          }
        })
      }
    },
  },
}
</script>

<style lang="scss">
.AppMediaManage {
  height: 100%;
  background: #f3f6f9;
  overflow: auto;
}
</style>
